<!-- Page content holder -->
<div class="page-content p-5" id="content">
    <!-- Toggle button -->
    <button id="sidebarCollapse" type="button" class="btn btn-light bg-white rounded-pill shadow-sm px-4 mb-4"><i class="fa fa-bars mr-2"></i><small class="text-uppercase font-weight-bold">Menu</small></button>

    <div class="separator"></div>


    <div class="p-5 mt-5" style="background-color: #182956;">
        <h4 class="text-center text-light">Publish School Results</h4>
        <style>
            .tbg {
                background-color: #25345B;
            }
        </style>
        <table class="table text-light table-bordered mt-3 tbg">
            <thead class="bg-dark">
                <tr>
                    <th scope="col">S/N</th>
                    <th scope="col">SESSION</th>
                    <th scope="col">CLASS</th>
                    <th scope="col">TERM</th>
                    <th scope="col">EXAM TYPE</th>
                    <th scope="col">STATUS</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <th scope="col" colspan="7" class="text-center pt-3 pb-3">PUBLISHING OF STUDENT'S RESULT</th>
                </tr>
                <?php foreach ($flags as $flag) : ?>
                    <tr>
                        <th scope="row"><?php $i = 1;
                                        echo $i++; ?></th>
                        <td><?= $flag->_session ?></td>
                        <td><?= $flag->class ?></td>
                        <td><?= $flag->term ?></td>
                        <td><?= $flag->examStatus ?></td>
                        <?php if ($flag->published == 'false') : ?>
                            <td class='bg-warning'>On going</td>
                        <?php endif; ?>
                        <?php if ($flag->published == 'true') : ?>
                            <td class='bg-success'>published</td>
                        <?php endif; ?>

                        <td>
                            <a href="#" class="btn btn-success btn-sm">Publish Result</a>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>

</div>
<!-- End demo content -->