<!-- Page content holder -->
<div class="page-content p-5" id="content">
    <!-- Toggle button -->
    <button id="sidebarCollapse" type="button" class="btn btn-light bg-white rounded-pill shadow-sm px-4 mb-4"><i class="fa fa-bars mr-2"></i><small class="text-uppercase font-weight-bold">Menu</small></button>

    <!-- Demo content -->
    <h2 class="font-weight-bolder mb-5 text-white">
        <?= strtoupper(session()->get('schname')) ?>
    </h2>

    <div class="separator"></div>
    <div class="row">
        <div class="col-lg-12 col-md-12">
            <div class="p-5" style="background-color: #182956;">

                <!-- <div class="block-content block-content-full tab-content" style="min-height: 265px;"> -->
                <style>
                    .image-upload>input {
                        display: none;
                    }
                </style>

                <style>
                    .fbg {
                        background-color: #25345B;
                        padding: 15px;
                        border: 1px solid silver;
                    }
                </style>
                <form class="fbg" action="<?= base_url() ?>/admin/exam/viewResult" method="post">
                    <h4 class="text-center text-light mb-3" style="text-transform: uppercase;">Filter Results</h4>
                    <div class="form-group">

                        <!-- ================================ -->
                        <div class="row mt-4">
                            <!-- ========================================= -->
                            <div class="col-md-4">
                                <label for="class" class="text-warning">Exam Class:</label>
                                <select name="class" id="class" required class="form-control" required>
                                    <option value="">---Select Class---</option>
                                    <?php foreach ($classes as $class) { ?>
                                        <option value="<?= $class["class_name"] ?>"><?= $class["class_name"] ?></option>
                                    <?php } ?>

                                </select>
                            </div>

                            <div class="col-md-4">
                                <label for="term" class="text-warning">Exam Term:</label>
                                <select name="term" id="term" required class="form-control" required>
                                    <option value="">---TERM---</option>
                                    <option value="1st">1st Term</option>
                                    <option value="2nd">2nd Term</option>
                                    <option value="3rd">3rd Term</option>

                                </select>
                            </div>

                            <div class="col-md-4">
                                <label for="type" class="text-warning">Exam Type:</label>
                                <select name="type" id="type" required class="form-control">
                                    <option value="">---Select Type---</option>
                                    <option value="TERM">End of term</option>
                                    <option value="CA">Continous assessment</option>
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <button type="submit" name="exam-details" value="true" class="btn btn-success">Filter</button>
                    </div>
                </form>

                <!-- Step 1 -->

                <!-- END Step 1 -->
                <h4 class="text-center text-light">Examination Scores</h4>
                <style>
                    .tbg {
                        background-color: #25345B;
                    }
                </style>
                <table class="table text-light table-bordered tbg">
                    <thead>
                        <tr>
                            <th scope="col">S/N</th>
                            <th scope="col">STUDENT'S NAME</th>
                            <th scope="col">CLASS</th>
                            <th scope="col">TERM</th>
                            <th scope="col">SUBJECT</th>
                            <th scope="col">EXAM SCORE</th>
                            <th scope="col">CA SCORE</th>
                            <th scope="col">TOTAL SCORE</th>
                            <th scope="col">SESSION</th>
                            <th>Type</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $i = 0; ?>
                        <?php foreach ($scores as $sc) { ?>
                            <tr>
                                <td><?= ++$i; ?></td>
                                <td><?= $sc['lname'] . ' ' . $sc['fname'] . ' ' . $sc['mname']; ?></td>
                                <td><?= $sc['class']; ?></td>
                                <td><?= $sc['term']; ?></td>
                                <td><?= $sc['subject']; ?></td>
                                <td><?= $sc["examScore"]; ?></td>
                                <td><?= $sc["CAScore"]; ?></td>
                                <td><?= $sc["final_exam_score"]; ?></td>
                                <td><?= $sc["sesion"]; ?></td>
                                <td><?= $sc["examType"]; ?></td>
                            </tr>
                        <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

</div>
<!-- End demo content -->