<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Administrator Dashboard</title>
    <!-- site design resources -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.3/css/bootstrap-grid.css" integrity="sha512-hD8bPMq+JrZOWl7K+ASCSkG6tP80Vyf9OeUtYdAEW0N8XDNw495cfIEs5BkHLRaPNCvBHxXPC60cPQ/jmwUgmQ==" crossorigin="anonymous" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.3/css/bootstrap-grid.min.css" integrity="sha512-QTQigm89ZvHzwoJ/NgJPghQPegLIwnXuOXWEdAjjOvpE9uaBGeI05+auj0RjYVr86gtMaBJRKi8hWZVsrVe/Ug==" crossorigin="anonymous" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.3/css/bootstrap-reboot.css" integrity="sha512-JtCUSOdqjetJggepwCCR9FT8g07iSENmKyOFQ/cc5WsATPU6f57wEODAHzoqWy+/QIALSVDSmf/2XcYF83gWFg==" crossorigin="anonymous" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.3/css/bootstrap-reboot.min.css" integrity="sha512-YmRhY1UctqTkuyEizDjgJcnn0Knu5tdpv09KUI003L5tjfn2YGxhujqXEFE7fqFgRlqU/jeTI+K7fFurBnRAhg==" crossorigin="anonymous" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.3/css/bootstrap.css" integrity="sha512-drnvWxqfgcU6sLzAJttJv7LKdjWn0nxWCSbEAtxJ/YYaZMyoNLovG7lPqZRdhgL1gAUfa+V7tbin8y+2llC1cw==" crossorigin="anonymous" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.3/css/bootstrap.min.css" integrity="sha512-oc9+XSs1H243/FRN9Rw62Fn8EtxjEYWHXRvjS43YtueEewbS6ObfXcJNyohjHqVKFPoXXUxwc+q1K7Dee6vv9g==" crossorigin="anonymous" />
    <link rel="stylesheet" href="<?= base_url() ?>/resources/style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

</head>

<body>
    <!-- Vertical navbar -->
    <div class="vertical-nav bg-royal" id="sidebar">
        <div class="py-4 px-3 mb-4 bg-royal">
            <div class="media d-flex align-items-center"><img src="https://png.pngtree.com/png-vector/20190301/ourlarge/pngtree-vector-administration-icon-png-image_747092.jpg" alt="..." width="65" class="mr-3 rounded-circle img-thumbnail shadow-sm">
                <div class="media-body">
                    <h4 class="m-0"><?= session()->get('auser') ?></h4>
                    <?php if (session()->get('auth') == 1) { ?>
                        <p class="font-weight-light text-muted mb-0">Administrator</p>
                    <?php } else { ?>
                        <p class="font-weight-light text-muted mb-0">Staff</p>
                    <?php } ?>
                </div>
            </div>
        </div>
        <div class="separator"></div>

        <p class="text-gray font-weight-bold text-uppercase px-3 small pb-4 mb-0">Staff Dashboard</p>

        <ul class="nav flex-column bg-royal mb-0">
            <li class="nav-item">
                <a href="<?= base_url() ?>/admin/home" class="nav-link text-dark font-italic bg-light">
                    <i class="fa fa-th-large mr-3 text-primary fa-fw"></i>
                    Home
                </a>
            </li>
            <li class="nav-item">
                <a href="<?= base_url() ?>/admin/settings" class="nav-link font-italic">
                    <i class="fa fa-cogs mr-3 fa-fw" aria-hidden="true"></i>
                    Settings
                </a>
            </li>
            <?php if (session()->get('auth') == 1) : ?>
                <li class="nav-item">
                    <a href="https://app.claudedge.com/?user=<?= session()->get('regid'); ?>" target="_blank" class="nav-link font-italic">
                        <i class="fa fa-briefcase mr-3 fa-fw" aria-hidden="true"></i>
                        Administration
                    </a>
                </li>
            <?php endif; ?>
            <li class="nav-item">
                <a href="<?= base_url() ?>/admin/exam" class="nav-link font-italic">
                    <i class="fa fa-pencil mr-3 fa-fw"></i>
                    Exam
                </a>
            </li>
            <li class="nav-item">
                <a href="<?= base_url() ?>/admin/results" class="nav-link font-italic">
                    <i class="fa fa-address-card-o mr-3 fa-fw"></i>
                    Result
                </a>
            </li>
        </ul>

        <!-- <p class="text-gray font-weight-bold text-uppercase px-3 small py-4 mb-0">Charts</p> -->

        <ul class="nav flex-column bg-royal mb-0">
            <li class="nav-item">
                <a href="<?= base_url() ?>/admin/profile/signout" class="nav-link font-italic">
                    <i class="fa fa-lock mr-3 fa-fw"></i>
                    Signout
                </a>
            </li>

        </ul>
    </div>
    <!-- End vertical navbar -->