<!-- Page content holder -->
<div class="page-content p-5" id="content">
    <!-- Toggle button -->
    <button id="sidebarCollapse" type="button" class="btn btn-light bg-white rounded-pill shadow-sm px-4 mb-4"><i class="fa fa-bars mr-2"></i><small class="text-uppercase font-weight-bold">Menu</small></button>

    <!-- Demo content -->
    <h2 class="font-weight-bolder mb-5 text-white">
        <?= strtoupper(session()->get('schname')) ?>
    </h2>

    <div class="separator"></div>
    <div class="row">
        <div class="col-lg-12">
            <div class="p-5" style="background-color: #182956;">

                <!-- <div class="block-content block-content-full tab-content" style="min-height: 265px;"> -->
                <style>
                    .image-upload>input {
                        display: none;
                    }
                </style>
                <div class="row method">
                    <div class="col-md-6">
                        <div class="card" style="background-color: #25345B; color:orange; border:1px solid white;">
                            <div class="card-body text-center">
                                <i class="fa fa-cog" aria-hidden="true"></i>
                                <a href="javascript:void(0)" onclick="loadQuest()" class="stretched-link text-light">Load Question From Excel File</a>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="card" style="background-color: #25345B; color:orange; border:1px solid white;">
                            <div class="card-body text-center">
                                <i class="fa fa-server" aria-hidden="true"></i>
                                <a href="<?= base_url() ?>/admin/exam/manual" class="stretched-link text-light">Enter Questions Manually</a>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Step 1 -->
                <form action="<?= base_url() ?>/admin/exam/load_method" method="post" enctype="multipart/form-data" class='load-excel-form' style="display: none;">
                    <div class="row import-excel">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label for="excel-file" class='text-light'>Excel File (The excel file containing questions)</label>
                                <input type="file" name="file" id="file" class='form-control' required accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" />
                            </div>

                            <div class="col-md-6">
                                <button type="submit" class='btn btn-success'>Load Question</button>
                                <button type="button" onclick="back()" class='btn btn-danger'>Back</button>
                            </div>
                        </div>
                    </div>
                </form>
                <!-- END Step 1 -->
            </div>
        </div>
    </div>

</div>
<!-- End demo content -->
<script>
    const loadQuest = () => {
        document.querySelector('.method').style.display = 'none';
        document.querySelector('.load-excel-form').style.display = 'block';
    }

    const back = () => {
        document.querySelector('.method').style.display = '';
        document.querySelector('.load-excel-form').style.display = 'none';
    }
</script>