<!-- Page content holder -->
<div class="page-content p-5" id="content">
    <!-- Toggle button -->
    <button id="sidebarCollapse" type="button" class="btn btn-light bg-white rounded-pill shadow-sm px-4 mb-4"><i class="fa fa-bars mr-2"></i><small class="text-uppercase font-weight-bold">Menu</small></button>

    <!-- Demo content -->
    <h2 class="font-weight-bolder mb-5 text-white">
        <?= strtoupper(session()->get('schname')) ?>
    </h2>

    <div class="separator"></div>
    <div class="row">
        <div class="col-lg-12">
            <div class="p-5" style="background-color: #182956;">

                <!-- <div class="block-content block-content-full tab-content" style="min-height: 265px;"> -->
                <style>
                    .image-upload>input {
                        display: none;
                    }
                </style>
                <h4 class="text-center text-light mb-5">Load Questions</h4>
                <?php if (session()->get('success')) : ?>
                    <div class="alert alert-success" role="alert">
                        <?= session()->get('success'); ?>
                    </div>
                <?php endif; ?>
                <?php if (session()->get('Qerror')) : ?>
                    <div class="alert alert-danger" role="alert">
                        <?= session()->get('Qerror') ?>
                    </div>
                <?php endif; ?>
                <form action="<?= base_url() ?>/admin/exam/load_question" method="post">

                    <div class="form-group">
                        <div class="row">
                            <div class="col-md-6">
                                <label for="examtype" class="text-warning">Exam Type:</label>
                                <select name="examtype" id="examtype" required class="form-control">
                                    <option value="">---Select Type---</option>
                                    <option value="TERM">End of term</option>
                                    <option value="CA">Continous assessment</option>
                                </select>
                            </div>

                            <!-- ========================================= -->
                            <div class="col-md-6">
                                <label for="session" class="text-warning">Exam Session:</label>
                                <select name="session" id="session" required class="form-control">
                                    <option value="">---Select Session---</option>
                                    <option value="2020/2021">2020 / 2021</option>

                                </select>
                            </div>
                        </div>
                        <!-- ========================================= -->

                        <div class="row mt-4">
                            <div class="col-md-6">
                                <label for="term" class="text-warning">Exam Term:</label>
                                <select name="term" id="term" required class="form-control">
                                    <option value="">---Select Term---</option>
                                    <option value="1st">1st Term</option>
                                    <option value="2nd">2nd Term</option>
                                    <option value="3rd">3rd Term</option>
                                </select>
                            </div>

                            <!-- ========================================= -->
                            <div class="col-md-6">
                                <label for="class" class="text-warning">Question Class:</label>
                                <select name="class" id="class" required class="form-control">
                                    <option value="">---Select Class---</option>
                                    <?php foreach ($classes as $c) : ?>
                                        <option value="<?= $c->class_name ?>"><?= $c->class_name ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </div>
                        </div>

                        <!-- ================================ -->
                        <div class="row mt-4">
                            <div class="col-md-12">
                                <label for="subject" class="text-warning">Question Subject:</label>
                                <select name="subject" id="subject" required class="form-control">
                                    <option value="">---Select Subject---</option>
                                    <?php foreach ($subjects as $s) : ?>
                                        <option value="<?= $s->subject_name ?>"><?= $s->subject_name ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <button type="submit" name="exam-details" value="true" class="btn btn-info">Next</button>
                    </div>
                </form>

                <!-- Step 1 -->

                <!-- END Step 1 -->
            </div>
        </div>
    </div>

</div>
<!-- End demo content -->