<!-- Page content holder -->
<div class="page-content p-5" id="content">
    <!-- Toggle button -->
    <button id="sidebarCollapse" type="button" class="btn btn-light bg-white rounded-pill shadow-sm px-4 mb-4"><i class="fa fa-bars mr-2"></i><small class="text-uppercase font-weight-bold">Menu</small></button>

    <!-- Demo content -->
    <h2 class="font-weight-bolder mb-5 text-white">
        <?= strtoupper(session()->get('schname')) ?>
    </h2>

    <div class="separator"></div>
    <div class="col-md-12">
        <a href="<?= base_url() ?>/admin/settings" class="btn btn-danger btn-sm mb-3">Previous Page</a>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="p-5" style="background-color: #182956;">

                <!-- <div class="block-content block-content-full tab-content" style="min-height: 265px;"> -->
                <style>
                    .image-upload>input {
                        display: none;
                    }
                </style>
                <h4 class="text-center text-light mb-5">Add Subject</h4>
                <div class="separator"></div>
                <form method="post" action="<?= base_url() ?>/admin/settings/subject">
                    <?php if (session()->get('success')) { ?>
                        <div class="alert alert-success" role="alert"><?= session()->get('success') ?></div>
                    <?php } ?>
                    <?php if (isset($validation)) { ?>
                        <div class="alert alert-danger" role="alert"><?= $validation->listErrors() ?></div>
                    <?php } ?>
                    <div class="form-group">
                        <div class="row">
                            <div class="col-md-6">
                                <label for="subject" class="text-warning">Subject Name:</label>
                                <input type="text" placeholder="subject name" name="subject" id="subject" required class="form-control">
                            </div>

                            <!-- ========================================= -->
                            <div class="col-md-6">
                                <label for="teacher" class="text-warning">Subject Teacher:</label>
                                <select name="teacher" id="teacher" required class="form-control">
                                    <option value="">---Select Teacher---</option>
                                    <?php foreach ($teachers as $cher) : ?>
                                        <option value="<?= $cher['staffid'] ?>"><?= $cher['lname'] . ' ' . $cher['fname'] . ' ' . $cher['mname'] ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </div>
                        </div>
                        <!-- ========================================= -->

                        <div class="row mt-4">
                            <div class="col-md-6">
                                <label for="class" class="text-warning">Subject Class:</label>
                                <select name="class" id="class" required class="form-control">
                                    <option value="">---Select Class---</option>
                                    <option value="GENERAL">GENERAL</option>
                                    <?php foreach ($classes as $class) : ?>
                                        <option value="<?= $class['class_name'] ?>"><?= $class['class_name'] ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </div>

                        </div>
                        <div class="row mt-4">
                            <div class="col-md-12">
                                <button type="submit" class="btn btn-warning">Create</button>
                            </div>
                        </div>
                </form>

                <!-- Step 1 -->

                <!-- END Step 1 -->
            </div>
        </div>
    </div>

</div>
<!-- End demo content -->