<?php $tqno = 0;
$date = new DateTime(); ?>
<!DOCTYPE html>
<html>

<head>
  <meta charset='utf-8'>
  <meta http-equiv='X-UA-Compatible' content='IE=edge'>
  <title>Exam</title>
  <meta name='viewport' content='width=device-width, initial-scale=1'>

  <!-- External Css -->
  <link rel='stylesheet' type='text/css' media='screen' href='<?= base_url() ?>/assets/css/main.css'>

  <!-- Bootstrap Css -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
</head>

<body class="bg-light">

  <!-- Header Start  -->
  <div class=" bg-warning row" style="border-bottom: 2px solid royalblue;">
    <div class="col-md-3 ">
      <p class="myfont2 bgn"></p>
    </div>

    <div class='col-md-3 '>
      <h5 class="bgn"> Writing:</h5>
      <p class="myfont bgnn"> <?= strtoupper(session()->get('subject')) ?></p>
    </div>

  </div>
  <!-- Header End -->
  <!-- Main Start -->

  <div class="row m-5">
    <div class="row mb-3">
      <div class="col-md-3"></div>
      <div class="col-md-7">
        <div class="container">
          <div style="display: flex; text-align:center; text-transform:uppercase;">
            <p style="margin-right:20px; font-weight:bolder;">Reg No: <?= session()->get('regno') ?></p>
            <p style="margin-right:20px; font-weight:bolder;">Class: <?= session()->get('class') ?></p>
            <p style="margin-right:20px; font-weight:bolder;">Session: <?= session()->get('session') ?></p>
            <p style="margin-right:20px; font-weight:bolder;">Term: <?= session()->get('term') ?></p>
          </div>
        </div>
      </div>
      <div class="col-md-2"></div>
    </div>
    <div class="col-md-3">
      <div class="card" style="width: 15rem;">
        <div class="card-body">
          <h5 class="card-title">Questions</h5>
          <?php foreach ($questions as $ques) : ?>
            <div class="btn btn-success btn-counter<?= $ques->Qno ?> col-md-3 m-1"><?= $ques->Qno ?></div>
          <?php endforeach; ?>
        </div>
      </div>
    </div>

    <div class="col-md-7">
      <?php foreach ($questions as $ques) : ?>
        <div class="card ques_sec<?= $ques->Qno ?>">
          <div class="card-body mt-5 mb-5 row">

            <div class="<?= ($ques->diagram ? 'col-md-8' : 'col-md-12') ?> mt-2">
              <p class="myfont3 bgnn">
                <?= $ques->Qno ?>. <?= $ques->question ?>
              </p>
              <div class="form-check">
                <input class="form-check-input" onclick="submitGraph(<?= $ques->Qno ?>, this.value, <?= $ques->Qid ?>)" type="radio" name="ans<?= $ques->Qno ?>" id="ans<?= $ques->Qno ?>1" value="A">
                <label class="form-check-label" for="ans<?= $ques->Qno ?>1">
                  A. <?= $ques->optA ?>
                </label>
              </div>
              <div class="form-check">
                <input class="form-check-input" onclick="submitGraph(<?= $ques->Qno ?>, this.value, <?= $ques->Qid ?>)" type="radio" name="ans<?= $ques->Qno ?>" id="ans<?= $ques->Qno ?>2" value="B">
                <label class="form-check-label" for="ans<?= $ques->Qno ?>2">
                  B. <?= $ques->optB ?>
                </label>
              </div>
              <div class="form-check">
                <input class="form-check-input" onclick="submitGraph(<?= $ques->Qno ?>, this.value, <?= $ques->Qid ?>)" type="radio" name="ans<?= $ques->Qno ?>" id="ans<?= $ques->Qno ?>3" value="C">
                <label class="form-check-label" for="ans<?= $ques->Qno ?>3">
                  C. <?= $ques->optC ?>
                </label>
              </div>
              <div class="form-check">
                <input class="form-check-input" onclick="submitGraph(<?= $ques->Qno ?>, this.value, <?= $ques->Qid ?>)" type="radio" name="ans<?= $ques->Qno ?>" id="ans<?= $ques->Qno ?>4" value="D">
                <label class="form-check-label" for="ans<?= $ques->Qno ?>4">
                  D. <?= $ques->optD ?>
                </label>
              </div>
              <?php if ($ques->optE) : ?>
                <div class="form-check">
                  <input class="form-check-input" onclick="submitGraph(<?= $ques->Qno ?>, this.value, <?= $ques->Qid ?>)" type="radio" name="ans<?= $ques->Qno ?>" id="ans<?= $ques->Qno ?>5" value="E">
                  <label class="form-check-label" for="ans<?= $ques->Qno ?>5">
                    E. <?= $ques->optE ?>
                  </label>
                </div>
              <?php endif; ?>
            </div>
            <?php if ($ques->diagram) : ?>
              <div class="col-md-4">
                <img class="qpic" src="assets/img/man.png">
              </div>
            <?php endif; ?>
            <?php $tqno = $ques->Qno ?>
          </div>
          <!-- Pagination Start-->
          <div class="row mt-4 mb-3 container">

            <div class="col-md-6">
              <button style="width: 100%;" onclick="loadPrev('ques_sec<?= $ques->Qno - 1 ?>', 'ques_sec<?= $ques->Qno ?>')" class="btn btn-block btn-secondary" type="button">Previous</button>
            </div>
            <div class="col-md-6">
              <button style="width: 100%;" onclick="loadNext('ques_sec<?= $ques->Qno + 1 ?>', 'ques_sec<?= $ques->Qno ?>')" class="btn btn-block btn-success" type="button">Next</button>
            </div>

          </div>
        </div>
      <?php endforeach; ?>
    </div>


    <div class="col-md-2">
      <div class="card">
        <div class="card-body">
          <h5 class="card-title">Stat:</h5>

          <div class="font-weight-bolder">Exam Duration:</div>
          <p class="myfont bgnn"> 2 hours </p>


          <div class="mt-3">
            <a class="btn btn-danger m-2" onclick="submitExam()" href="javascript:void(0)"> Submit Exam</a>
          </div>
        </div>
      </div>
    </div>
    <!-- Pagination End -->
  </div>




  <!-- Main End -->





  <!-- External Javascript -->
  <script src='<?= base_url() ?>/assets/js/main.js'></script>
  <!-- Bootstrap Javascript -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js" integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0" crossorigin="anonymous"></script>
</body>

</html>
<script>
  for (i = 2; i <= <?= $tqno ?>; i++) {

    $questPane = document.querySelector(`.ques_sec${i}`);
    $questPane.style.display = 'none';

  }
  //

  counter = 1;
  const loadPrev = (nid, pid) => {
    if (nid == 'ques_sec0') {
      return;
    }
    document.querySelector('.' + nid).style.display = 'block';
    document.querySelector('.' + pid).style.display = 'none';

    //
    $(`.btn-counter${counter}`).removeClass('btn-warning');
    $(`.btn-counter${counter}`).addClass('btn-success');
    $(`.btn-counter${counter - 1}`).addClass('btn-warning');
    $(`.btn-counter${counter - 1}`).removeClass('btn-success');
    counter--;
  }

  //
  const loadNext = (nid, pid) => {

    document.querySelector('.' + nid).style.display = 'block';
    document.querySelector('.' + pid).style.display = 'none';

    $(`.btn-counter${counter}`).removeClass('btn-warning');
    $(`.btn-counter${counter}`).addClass('btn-success');
    $(`.btn-counter${counter + 1}`).addClass('btn-warning');
    $(`.btn-counter${counter + 1}`).removeClass('btn-success');
    counter++;
  }
  //
  function submitGraph(quesNo, stans, Qid) {
    //return alert(stans + ' and ' + Qid);
    //
    $.post('<?= base_url() ?>/exam/start/examGraph', {
      examGraph: true,
      schoolID: '<?= session()->get('schid'); ?>',
      studentID: '<?= session()->get('regno'); ?>',
      examDate: '<?= $date->format('Y-m-d'); ?>',
      examType: '<?= session()->get('type'); ?>',
      session: '<?= session()->get('session'); ?>',
      term: '<?= session()->get('term') ?>',

      subject: '<?= session()->get('subject') ?>',
      qno: quesNo,
      qid: Qid,
      sans: stans,
      ison: Date()
    }, function(data, status) {

      switch (data) {

        case 100:
          console.log('success');
          break;

        case 200:
          console.log('error');
          break;
      }
    })
  }
  //
  const submitExam = () => {

    $checker = confirm('Are you sure to submit exam ? This cannot be undo');

    if ($checker) {
      $.post("<?= base_url() ?>/exam/start/finishExam", {
        submitPaper: true,
        schoolID: '<?= session()->get('schid'); ?>',
        studentID: '<?= session()->get('regno'); ?>',
        examDate: '<?= $date->format('Y-m-d'); ?>',
        examType: '<?= session()->get('type'); ?>',
        session: '<?= session()->get('session'); ?>',
        term: '<?= session()->get('term') ?>',
        class: '<?= session()->get('class') ?>',
        subject: '<?= session()->get('subject') ?>',

      }, function(data, status) {

        console.log(data);
        alert('submited');
        window.close();
      })
    }
  }
</script>