
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <!-- site design resources -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.3/css/bootstrap-grid.css" integrity="sha512-hD8bPMq+JrZOWl7K+ASCSkG6tP80Vyf9OeUtYdAEW0N8XDNw495cfIEs5BkHLRaPNCvBHxXPC60cPQ/jmwUgmQ==" crossorigin="anonymous" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.3/css/bootstrap-grid.min.css" integrity="sha512-QTQigm89ZvHzwoJ/NgJPghQPegLIwnXuOXWEdAjjOvpE9uaBGeI05+auj0RjYVr86gtMaBJRKi8hWZVsrVe/Ug==" crossorigin="anonymous" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.3/css/bootstrap-reboot.css" integrity="sha512-JtCUSOdqjetJggepwCCR9FT8g07iSENmKyOFQ/cc5WsATPU6f57wEODAHzoqWy+/QIALSVDSmf/2XcYF83gWFg==" crossorigin="anonymous" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.3/css/bootstrap-reboot.min.css" integrity="sha512-YmRhY1UctqTkuyEizDjgJcnn0Knu5tdpv09KUI003L5tjfn2YGxhujqXEFE7fqFgRlqU/jeTI+K7fFurBnRAhg==" crossorigin="anonymous" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.3/css/bootstrap.css" integrity="sha512-drnvWxqfgcU6sLzAJttJv7LKdjWn0nxWCSbEAtxJ/YYaZMyoNLovG7lPqZRdhgL1gAUfa+V7tbin8y+2llC1cw==" crossorigin="anonymous" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.3/css/bootstrap.min.css" integrity="sha512-oc9+XSs1H243/FRN9Rw62Fn8EtxjEYWHXRvjS43YtueEewbS6ObfXcJNyohjHqVKFPoXXUxwc+q1K7Dee6vv9g==" crossorigin="anonymous" />
    <link rel="stylesheet" href="<?= base_url() ?>/resources/style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<body>
    <!-- Vertical navbar -->
    <div class="vertical-nav bg-royal" id="sidebar">
        <div class="py-4 px-3 mb-4 bg-royal">
            <div class="media d-flex align-items-center"><img src="https://www.mcicon.com/wp-content/uploads/2020/12/Education_Student_1-copy-300x300.jpg" alt="..." width="65" class="mr-3 rounded-circle img-thumbnail shadow-sm">
                <div class="media-body">
                    <h4 class="m-0"><?= session()->get('fname') ?></h4>
                    <p class="font-weight-light text-muted mb-0">Student</p>
                </div>
            </div>
        </div>
        <div class="separator"></div>

        <p class="text-gray font-weight-bold text-uppercase px-3 small pb-4 mb-0">Student's Dashboard</p>

        <ul class="nav flex-column bg-royal mb-0">
            <li class="nav-item">
                <a href="<?= base_url() ?>/students/home" class="nav-link text-dark font-italic bg-light">
                    <i class="fa fa-th-large mr-3 text-primary fa-fw"></i>
                    Home
                </a>
            </li>
            <li class="nav-item">
                <a href="<?= base_url() ?>/students/profile" class="nav-link font-italic">
                    <i class="fa fa-address-card mr-3 fa-fw"></i>
                    Profile
                </a>
            </li>
            <li class="nav-item">
                <a href="<?= base_url() ?>/students/exam" class="nav-link font-italic">
                    <i class="fa fa-cubes mr-3 fa-fw"></i>
                    Exam
                </a>
            </li>
            <li class="nav-item">
                <a href="#" class="nav-link font-italic">
                    <i class="fa fa-picture-o mr-3 fa-fw"></i>
                    Result
                </a>
            </li>
        </ul>

        <!-- <p class="text-gray font-weight-bold text-uppercase px-3 small py-4 mb-0">Charts</p> -->

        <ul class="nav flex-column bg-royal mb-0">
            <li class="nav-item">
                <a href="#" class="nav-link font-italic">
                    <i class="fa fa-area-chart mr-3 fa-fw"></i>
                    Assessments
                </a>
            </li>
            <li class="nav-item">
                <a href="#" class="nav-link font-italic">
                    <i class="fa fa-bar-chart mr-3 fa-fw"></i>
                    E-book
                </a>
            </li>
            <li class="nav-item">
                <a href="#" class="nav-link font-italic">
                    <i class="fa fa-pie-chart mr-3 text-primary fa-fw"></i>
                    Home Works
                </a>
            </li>
            <li class="nav-item">
                <a href="<?= base_url() ?>/students/profile/signout" class="nav-link font-italic">
                    <i class="fa fa-lock mr-3 fa-fw"></i>
                    Sign Out
                </a>
            </li>
        </ul>
    </div>
    <!-- End vertical navbar -->