<?php

namespace App\Controllers;

use App\Models\Stud;
use App\Models\Oruko;
use App\Models\Staf;
use App\Models\Pade;
use App\Models\Staffs;
use App\Models\Sid;

class Home extends BaseController
{
	public function index()
	{
		$msg = "";
		$request = \Config\Services::request();

		$session = session();

		if ($request->getMethod() == 'post') {
			$oruko = new Oruko();
			$pade = new Pade();
			$stud = new Stud();
			$staf = new Staf();
			$staffs = new Staffs();
			$sid = new Sid();

			//
			$obuilder = $oruko->builder();
			// $pbuilder = $pade->builder();
			// $studbuilder = $stud->builder();
			// $stafbuilder = $staf->builder();

			$uname =  $request->getVar('uname');
			$uname_raw =  $request->getVar('uname');
			$upwd = $request->getVar('upwd');
			$sdata = ["auser" => $uname];
			$session->set($sdata);

			//CODE USERNAME

			$oru = "";
			$mix = substr($uname, 1, 2);
			$mix2 = substr($uname, 3, 2);
			$uname = $mix2 . $mix . $uname;
			$uname = strrev($uname);
			$i = strlen($uname);
			for ($x = 0; $x < $i; $x++) {
				$digi = substr($uname, $x, 1);
				$obuilder->select('oruk');
				$obuilder->where('digi', $digi);
				$result = $obuilder->get()->getResult();

				if ($result) {
					// output data of each row
					foreach ($result as $row) {
						$coruk = $row->oruk;
						$oru = $oru . $coruk;
						//echo $oru."<br>";
					}
				} else {
					echo "0 results";
				}
			}  //For ends here
			//---------------------Code passwor

			$pas = "";
			$mix = substr($upwd, 1, 2);
			$mix2 = substr($upwd, 4, 2);
			$upwd = $mix2 . $mix . $upwd;
			$upwd = strrev($upwd);
			$i = strlen($upwd);
			for ($x = 0; $x < $i; $x++) {
				$digi = substr($upwd, $x, 1);
				$obuilder->select('oruk');
				$obuilder->where('digi', $digi);
				$result = $obuilder->get()->getResult();

				if ($result) {
					// output data of each row
					foreach ($result as $row) {
						$cpas = $row->oruk;
						$pas = $pas . $cpas;
					}
				} else {
					echo "0 results";
				}
			} //For ends here

			//echo "Password: ".$pas."<br>";

			$result = $pade->where('uname', $oru)->where('upw', $pas)->first();

			if ($result) {
				$row = $result;
				$regid = $row["regid"];
				$auth = $row["uauth"];
				$acode = substr($auth, 5, 1);
				$acblk = substr($auth, 6, 1);

				$_SESSION["auth"] = $auth;

				$_SESSION["regid"] = $regid;
				$ath = $acode;
				//
			} else {
				$ath = "W";
			}
			//echo $ath;
			if ($ath == 5) {
				$result = $stud->where('regid', $regid)->first();
			} else if ($ath == 2 || $ath == 1) {
				$result = $staf->where('regid', $regid)->first();
			} else {
				if ($ath == 'W') {
					$result = $stud->where('studid', $uname_raw)->first();

					if ($result) {
						$ath = '5';
					}
				} else {
					$msg = 'Invalid User Credentials';
				}
			}

			if (!$result) {
				if ($ath == 1) {
					$result = $staffs->where('staff_id', $regid)->first();
				}
			}
			$row = $result;
			if ($result) {
				if (!isset($row["schname"])) {
					$is_sid = $row["schid"];
					$getName = $sid->where('schid', $is_sid)->first();

					if ($getName) {

						$sdata = [
							"schname" => $getName["sname"]
						];
					}
				} else {

					$sdata = [
						"schname" => $row["schname"]
					];
				}
				$regid_r = '';
				if ($ath == 5) {
					$regid_r = $row["regid"];
				} else {
					$regid_r = $regid;
				}
				$sdata += [
					"schid" => $row["schid"],
					'fname' => $row["fname"],
					'lname' => $row["lname"],
					'mname' => $row["mname"],
					'auser' => $row["fname"] . " " . $row["lname"] . " " . $row["mname"],
					'regid' => $regid_r,
					'auth' => $ath
				];

				$session->set($sdata);
			} else {
				// $_SESSION["schname"] = $usname;
			}

			//chcker
			switch ($ath) {
				case '4':
					header('Location: https://app.claudedge.com/schs/admin.php');
					break;
				case '5':
					header('Location: https://sms.claudedge.com/students');
					break;
				case '3':
					header('location: /students');
					break;
				case '2':
					header('Location: https://sms.claudedge.com/admin');
					break;
				case '1':
					header('Location: https://sms.claudedge.com/admin');
					break;
				default:
					$msg = 'Invalid Credentials';
			}

			//check block
			// if ($acblk == "0") {
			// 	header('location: ');
			// 	//location.href = 'schs/blok.php';
			// }
		}

		$data = [
			'msg' => $msg
		];
		return view('index', $data);
	}
}
