<!-- Page content holder -->
<div class="page-content p-5" id="content">
    <!-- Toggle button -->
    <button id="sidebarCollapse" type="button" class="btn btn-light bg-white rounded-pill shadow-sm px-4 mb-4"><i class="fa fa-bars mr-2"></i><small class="text-uppercase font-weight-bold">Menu</small></button>

    <!-- Demo content -->
    <h2 class="font-weight-bolder mb-5 text-white">
        <?= strtoupper(session()->get('schname')) ?>
    </h2>

    <div class="separator"></div>
    <div class="row">
        <div class="col-lg-12 col-md-12">
            <div class="p-5" style="background-color: #182956;">

                <!-- <div class="block-content block-content-full tab-content" style="min-height: 265px;"> -->
                <style>
                    .image-upload>input {
                        display: none;
                    }
                </style>

                <?php if ($success) : ?>
                    <div class="alert alert-success" role="alert">
                        <?= $success; ?>
                    </div>
                <?php endif; ?>
                <?php if ($error) : ?>
                    <div class="alert alert-danger" role="alert">
                        <?= $error; ?>
                    </div>
                <?php endif; ?>
                <style>
                    .fbg {
                        background-color: #25345B;
                        padding: 15px;
                        border: 1px solid silver;
                    }
                </style>
                <form class="fbg" action="<?= base_url() ?>/admin/exam/settings" method="post">
                    <h4 class="text-center text-light mb-3" style="text-transform: uppercase;">Schedule Exam</h4>
                    <div class="form-group">
                        <div class="row">
                            <div class="col-md-4">
                                <label for="examtype" class="text-warning">Exam Type:</label>
                                <select name="examtype" id="examtype" required class="form-control">
                                    <option value="">---Select Type---</option>
                                    <option value="TERM">End of term</option>
                                    <option value="CA">Continous assessment</option>
                                </select>
                            </div>

                            <!-- ========================================= -->
                            <div class="col-md-4">
                                <label for="session" class="text-warning">Exam Session:</label>
                                <select name="session" id="session" required class="form-control">
                                    <option value="">---Select Session---</option>
                                    <option value="2020/2021">2020 / 2021</option>

                                </select>
                            </div>

                            <!-- ========================================= -->


                            <div class="col-md-4">
                                <label for="term" class="text-warning">Exam Term:</label>
                                <select name="term" id="term" required class="form-control">
                                    <option value="">---Select Term---</option>
                                    <option value="1st">1st Term</option>
                                    <option value="2nd">2nd Term</option>
                                    <option value="3rd">3rd Term</option>
                                </select>
                            </div>
                        </div>

                        <!-- ================================ -->
                        <div class="row mt-4">
                            <!-- ========================================= -->
                            <div class="col-md-4">
                                <label for="class" class="text-warning">Question Class:</label>
                                <select name="class" id="class" required class="form-control">
                                    <option value="">---Select Class---</option>
                                    <?php foreach ($classes as $c) : ?>
                                        <option value="<?= $c->class_name ?>"><?= $c->class_name ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </div>

                            <div class="col-md-4">
                                <label for="subject" class="text-warning">Subject:</label>
                                <select name="subject" id="subject" required class="form-control">
                                    <option value="">---Select Subject---</option>
                                    <?php foreach ($subjects as $s) : ?>
                                        <option value="<?= $s->subject_name ?>"><?= $s->subject_name ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </div>

                            <div class="col-md-4">
                                <label for="date" class="text-warning">Exam Date:</label>
                                <input type="date" name="date" class='form-control' id="date" required>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <button type="submit" name="exam-details" value="true" class="btn btn-success">Schedule Exam</button>
                    </div>
                </form>

                <!-- Step 1 -->

                <!-- END Step 1 -->
                <h4 class="text-center text-light">Scheduled Examinations</h4>
                <style>
                    .tbg {
                        background-color: #25345B;
                    }
                </style>
                <table class="table text-light table-bordered tbg">
                    <thead>
                        <tr>
                            <th scope="col">S/N</th>
                            <th scope="col">CLASS</th>
                            <th scope="col">SUBJECT</th>
                            <th scope="col">SCHEDULED DATE</th>
                            <th scope="col">EXAM CODE</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $i = 1; ?>
                        <?php foreach ($schedules as $sche) : ?>
                            <tr>
                                <th scope="row"><?= $i++; ?></th>
                                <td><?= $sche->examClass ?></td>
                                <td><?= $sche->examSubject ?></td>
                                <td><?= $sche->examDate ?></td>
                                <td><?= $sche->examCode ?></td>
                                <td>
                                    <a href="#" class="btn btn-danger btn-sm">Delete</a> | <a href="#" class="btn btn-warning btn-sm">Modify</a>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

</div>
<!-- End demo content -->