<!-- Page content holder -->
<div class="page-content p-5" id="content">
    <!-- Toggle button -->
    <button id="sidebarCollapse" type="button" class="btn btn-light bg-white rounded-pill shadow-sm px-4 mb-4"><i class="fa fa-bars mr-2"></i><small class="text-uppercase font-weight-bold">Menu</small></button>

    <!-- Demo content -->
    <h2 class="font-weight-bolder mb-5 text-white">
        <?= strtoupper(session()->get('schname')) ?>
    </h2>

    <div class="separator"></div>
    <div class="row">
        <div class="col-lg-12">
            <div class="p-5" style="background-color: #182956;">
                <a href="<?= base_url() ?>/admin/exam/load_method" class="btn btn-danger mb-2">Cancel Upload</a>
                <!-- <div class="block-content block-content-full tab-content" style="min-height: 265px;"> -->
                <style>
                    .image-upload>input {
                        display: none;
                    }
                </style>

                <!-- Step 1 -->
                <form action="<?= base_url() ?>/admin/exam/file_loader" method="post">
                    <input type="hidden" name="counter" value="<?= count($imports) ?>" id="counter">
                    <?php foreach ($imports as $imported) : ?>
                        <div class="row">
                            <div class="col-md-8">
                                <label for="q<?= $imported['no'] ?>" class='text-light'>Question <?= $imported['no'] ?>.</label>
                                <textarea name="q<?= $imported['no'] ?>" class='form-control' id="q<?= $imported['no'] ?>" cols="30" rows="9" readonly><?= $imported['ques'] ?></textarea>

                                <!-- ======file area========== -->
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="file-area mt-3">
                                            <label for="file<?= $imported['no'] ?>">
                                                <img style="width:65px;" src="http://www.clker.com/cliparts/l/A/f/s/d/B/folder-with-file-icon.svg" class='img-thumbnail' alt="">
                                            </label>
                                            <input type="file" style="display: none;" name="file<?= $imported['no'] ?>" id="file<?= $imported['no'] ?>" accept=".jpg,.png,.jpeg">
                                        </div>
                                        <div class="col-md-4">
                                            <span class='ml-4 text-light'>Answer: <?= $imported['Ans'] ?></span>
                                            <input type="hidden" name="ans<?= $imported['no'] ?>" id="ans<?= $imported['no'] ?>" value="<?= $imported['Ans'] ?>">
                                        </div>
                                    </div>
                                </div>

                            </div>

                            <div class="col-md-4">
                                <label for="op<?= $imported['no'] ?>A" class='text-light'>Option A</label>
                                <input type="text" class='form-control' value="<?= $imported['opta'] ?>" name="op<?= $imported['no'] ?>a" id="op<?= $imported['no'] ?>a" readonly>

                                <label for="op<?= $imported['no'] ?>B" class='text-light'>Option B</label>
                                <input type="text" class='form-control' value="<?= $imported['optb'] ?>" name="op<?= $imported['no'] ?>b" id="op<?= $imported['no'] ?>b" readonly>

                                <label for="op<?= $imported['no'] ?>C" class='text-light'>Option C</label>
                                <input type="text" class='form-control' value="<?= $imported['optc'] ?>" name="op<?= $imported['no'] ?>c" id="op<?= $imported['no'] ?>c" readonly>

                                <label for="op<?= $imported['no'] ?>D" class='text-light'>Option D</label>
                                <input type="text" class='form-control' value="<?= $imported['optd'] ?>" name="op<?= $imported['no'] ?>d" id="op<?= $imported['no'] ?>d" readonly>

                                <label for="op<?= $imported['no'] ?>E" class='text-light'>Option E</label>
                                <input type="text" class='form-control' value="<?= $imported['opte'] ?>" name="op<?= $imported['no'] ?>e" id="op<?= $imported['no'] ?>e" readonly>
                            </div>
                        </div>
                        <div class="separator mt-5"></div>
                    <?php endforeach; ?>

                    <!-- =====================BUTTON FOR NEXT FIVE STARTS============================ -->
                    <div class="form-group mt-4">
                        <button type="submit" class="btn btn-block btn-success">Load Questions</button>
                    </div>
                    <!-- =====================BUTTON FOR NEXT FIVE ENDS============================ -->
                </form>
                <!-- END Step 1 -->
            </div>
        </div>
    </div>

</div>
<!-- End demo content -->
<script>
    const loadQuest = () => {
        document.querySelector('.method').style.display = 'none';
        document.querySelector('.load-excel-form').style.display = 'block';
    }

    const back = () => {
        document.querySelector('.method').style.display = '';
        document.querySelector('.load-excel-form').style.display = 'none';
    }
</script>