<!-- Page content holder -->
<div class="page-content p-5" id="content">
    <!-- Toggle button -->
    <button id="sidebarCollapse" type="button" class="btn btn-light bg-white rounded-pill shadow-sm px-4 mb-4"><i class="fa fa-bars mr-2"></i><small class="text-uppercase font-weight-bold">Menu</small></button>

    <!-- Demo content -->
    <h2 class="font-weight-bolder mb-5 text-white">
        <?= strtoupper(session()->get('schname')) ?>
    </h2>

    <div class="separator"></div>
    <div class="row">
        <div class="col-lg-12">
            <div class="p-5" style="background-color: #182956;">
                <form method="post" action="<?= base_url() ?>/students/exam/examcheck">
                    <?php if (session()->get('checkError')) : ?>
                        <div class="alert alert-danger" role="alert"><?= session()->get('checkError') ?></div>
                    <?php endif; ?>

                    <?php if (session()->get('checkNotice')) : ?>
                        <div class="alert alert-info" role="alert"><?= session()->get('checkNotice') ?></div>
                    <?php endif; ?>
                    <!-- <div class="block-content block-content-full tab-content" style="min-height: 265px;"> -->
                    <style>
                        .image-upload>input {
                            display: none;
                        }
                    </style>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="regno" class="text-white">Registration Number:</label>
                                <input type="text" class="form-control" value="<?= session()->get('regid') ?>" name="regno" readonly id="regno">
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="regno" class="text-white">Examination Code:</label>
                                <input type="text" class="form-control" placeholder="Enter examination code" name="code" id="code" required>
                            </div>
                        </div>
                    </div>

                    <!-- END Step 1 -->
                    <div class="row">
                        <button type="submit" class="btn btn-warning">Start Exam</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

</div>
<!-- End demo content -->